<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.common.util.SysPreperty" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.dbmanage.*"%>
<%@ page import = "zr.zrpower.ejb.sys.UIService" %>
<%@ page import = "zr.zrpower.dbmanage.service.*"%>

<%@ page import = "zr.zrpower.common.util.DateWork" %>
<%@ page import = "java.lang.Object"%>
<%@ page import="java.util.*"%>

<HTML>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
UIService userUI =new UIService();
String strID = request.getParameter("ID");
TableService Table = new TableService();
TableSpaceService Space = new TableSpaceService();
String sum = Table.SumTable(strID);
BPIP_TABLESPACE[] SP = null;
String strname = Space.GetSpaceCHINESENAME(strID);
%>
<HTML>
<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=GBK">
<LINK type="text/css" rel="stylesheet" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../../zrsysmanage/script/Public.js"></SCRIPT>
</HEAD>
<BODY class="BodyMain"  background="../../zrsysmanage/images/<%=user.getUserImage()%>/databack2.jpg">

 <DIV id="divMessage" style='padding-left:0;padding-top:0;width:100%;height:100%;overflow:auto'>
<table>
  <tr valign="middle" align="center" >
  <td height="5" width="10"></td>
  <td height="5"></td>
  </tr>
 <%
//得到查询的记录集
    SP = Space.GetBpipTableSpaceList(strID);
     int iLength = 0;
     List list=new ArrayList();
     if (SP!=null && SP.length>0){
       iLength = SP.length;
       for(int i=0;i<SP.length;i++){
       list.add(SP[i]);
       BPIP_TABLESPACE SP1 = Space.getSPACEID(SP[i].getID());

  %>
       <tr>
         <td height="5" width="10"></td>
         <td height="5"><%=SP[i].getCHINESENAME()%>&nbsp;一共有表<%=sum%>张；&nbsp;&nbsp;；</td>
       </tr>
       <%
   }
  }%>
  <tr valign="middle" align="center" >
  <td height="5" width="10"></td>
  <td height="5"></td>
  </tr>
  <tr valign="middle" align="center" >
  <td height="5" width="10"></td>
  <td height="5"><Font class="WriteSign">使用须知：</Font>在未确认情况下，请勿删除表，否则一切后果自负！</td>
  </tr>
</table>
</DIV>


</BODY>
</HTML>
<%
//清空相关对象
user = null;
userUI = null;
SP = null;
Space = null;
Table = null;
list = null;
%>
